# insert-file-name(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

insert-file-name - Insert filename into current buffer

## SYNOPSIS

n insert-file-name (C-x C-y)

## DESCRIPTION

insert-file-name inserts the current buffer's file name into the current buffer or, if entering text on the message line then enters the file name into the message line buffer.

If the numeric argument n is `-1` then the buffer name is inserted into the buffer.

## SEE ALSO

insert-file(2), yank(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>